import bb.cascades 1.0

Container {
    signal isClicked()
    property string defaultImageSourceString: "asset:///images/icons/ic_settings.png"
    property int borderWidth: 2
    layout: DockLayout {
    }
    background: Color.create("#676767")
    topPadding: borderWidth
    bottomPadding: borderWidth
    leftPadding: borderWidth
    rightPadding: borderWidth
    Container {
        layout: DockLayout {
        }
        topPadding: 10
        bottomPadding: 10
        leftPadding: 10
        rightPadding: 10
        background: Color.create("#373737")
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        ImageButton {
            defaultImageSource: defaultImageSourceString
            preferredHeight: 128
            preferredWidth: 128
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            onClicked: {
                isClicked();
            }
        }
    }
    animations: [
        TranslateTransition {
            id: animateThis
            fromY: 1128
            toY: 0
            easingCurve: StockCurve.ElasticOut
            duration: 500
        }
    ]
}
