import bb.cascades 1.0

Page {
    titleBar: TitleBar {
        title: "Help"
    }
    Container {
        layout: DockLayout {

        }
        ImageView {
            imageSource: "asset:///images/1.png"
            scalingMethod: ScalingMethod.AspectFill
        }
        ScrollView {
            Container {
                topPadding: 30
                leftPadding: 20
                rightPadding: 20
                horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }

                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "<html><span style=\"color: #009BD9\">Please click on email: <a href=\"mailto:support@viethop.com\">support@viethop.com</a> for instant help.

Thank you for purchasing Photo X Pro.</span></html>"
                        textFormat: TextFormat.Html
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/swipeDown.png"
                        verticalAlignment: VerticalAlignment.Center
                        minWidth: 81
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "There is hidden Swipe-Down-To-Close in some screens. This gesture helps user closing screen faster and more comfortable."
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {
                    
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/InstaX_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Stamp weather/location text on photo"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/set_wall_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Set current photo as wallpaper"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/reset_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Restore to original state"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/close_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Close screen"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/pdf_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Export photo to PDF file"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/crop.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Crop Photo"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/resize.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Resize Photo"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    ImageView {
                        imageSource: "asset:///images/icons/light_circle.png"
                        verticalAlignment: VerticalAlignment.Center
                    }
                    Label {
                        verticalAlignment: VerticalAlignment.Center
                        text: "Adjust Brightness/Contrast"
                        textStyle.color: Color.White
                        multiline: true
                    }
                }
                Divider {

                }
            }
        }
    }
    actions: [
        
        InvokeActionItem {
            title: "Share"
            ActionBar.placement: ActionBarPlacement.OnBar
            query {
                mimeType: "text/plain"
                invokeActionId: "bb.action.SHARE"
            }
            data: "Get Photo X Pro from BlackBerry World | http://goo.gl/adjFo"
        },
        InvokeActionItem {
            title: "More Apps"
            ActionBar.placement: ActionBarPlacement.OnBar
            query.uri: "appworld://vendor/14299" + ""
            query.invokeActionId: "bb.action.OPEN"
            query.invokeTargetId: "sys.appworld"
        },
        ActionItem {
            title: "Close"
            ActionBar.placement: ActionBarPlacement.OnBar
            imageSource: "asset:///images/icons/close_circle_menu.png"
            onTriggered: {
                helpSheet.close();
            }
        }
    ]
}
