import bb.cascades 1.0

Page {
    Container {
        topPadding: 20
        horizontalAlignment: HorizontalAlignment.Fill
        background: Color.Black
        Label {
            text: "Choose Skin"
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            textStyle {
                color: Color.create("#CC3F10")
                fontSize: FontSize.Large
                fontStyle: FontStyle.Italic
            }
        }
        ScrollView {
            //preferredWidth: 720
            preferredHeight: 1280
            scrollViewProperties.scrollMode: ScrollMode.Vertical
            horizontalAlignment: HorizontalAlignment.Center
            Container {
                layout: DockLayout {
                
                }
                horizontalAlignment: HorizontalAlignment.Center
                //topPadding: 20
                //leftPadding: 20
                //rightPadding: 20
                Container {
                    layout: StackLayout {
                        //orientation: LayoutOrientation.LeftToRight
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleA.jpg"
                        preferredWidth: 720
                        preferredHeight: 720
                        onClicked: {
                            applySkin(0);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleB.jpg"
                        preferredWidth: 720
                        preferredHeight: 720
                        onClicked: {
                            applySkin(1);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleC.jpg"
                        preferredWidth: 720
                        preferredHeight: 720
                        onClicked: {
                            applySkin(2);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleD.jpg"
                        preferredWidth: 720
                        preferredHeight: 720
                        onClicked: {
                            applySkin(3);
                        }
                    }
                    ImageButton {
                        defaultImageSource: "asset:///images/skins/StyleE.jpg"
                        preferredWidth: 720
                        preferredHeight: 720
                        onClicked: {
                            applySkin(4);
                        }
                    }
                }
            }
        }
    }
    actions: [
        ActionItem {
            title: "Cancel"
            imageSource: "asset:///images/icons/ic_cancel.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            onTriggered: {
                skinSheet.isCancelled = true;
                skinSheet.close();
            }
        }
    ]
    function applySkin(skin){
        _app.setInstaXStyle(skin);
        skinSheet.close();
    }
}