import bb.cascades 1.0

Dialog {
    property alias dialogTitle: alertDialogTitle.text
    property alias dialogContent: alertDialogContent.text
    Container {
        id: mainDialogContainer
        layout: DockLayout {
        }
        leftPadding: 30
        rightPadding: 30
        //background: Color.create("#FAFAFA")
        preferredHeight: 1280
        // Border
        Container {
            layout: DockLayout {
            }
            leftPadding: 10
            rightPadding: 10
            topPadding: 10
            bottomPadding: 10
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            background: Color.create("#474747")
            Container {
                background: Color.create("#272727")
                //opacity: 1
                layout: StackLayout {
                }
                topPadding: 20
                bottomPadding: 10
                leftPadding: 20
                rightPadding: 20
                Label {
                    id: alertDialogTitle
                    objectName: "alertDialogTitle"
                    text: "Title"
                    textStyle {
                        base: SystemDefaults.TextStyles.TitleText
                        color: Color.create("#FAFAFA")
                    }
                }
                Divider {
                }
                TextArea {
                    id: alertDialogContent
                    objectName: "alertDialogContent"
                    preferredHeight: 200
                    editable: false
                    text: "Content"
                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
                        color: Color.create("#FAFAFA")
                    }
                }
                Button {
                    text: "Close"
                    layoutProperties: StackLayoutProperties {
                    }
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredWidth: 200
                    onClicked: {
                        alertDialog.close();
                    }
                }
            }
        }
    }
}
