import bb.cascades 1.0

Container {
    signal applyFilter()
    property alias filterName: filterLabel.text
    property alias filterImageSrc: imageButton.defaultImageSource
    leftMargin: 5
    rightMargin: 5
    bottomPadding: 5
    leftPadding: 5
    rightPadding: 5
    topPadding: 5
    horizontalAlignment: HorizontalAlignment.Center
    background: Color.Gray
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        layout: DockLayout {
        }
        ImageButton {
            id: imageButton
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            preferredHeight: 150
            preferredWidth: 150
            onClicked: {
                applyFilter();
            }
        }
        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
            background: Color.create("#272727")
            leftPadding: 5
            bottomPadding: 5
            Label {
                id: filterLabel
                textStyle {
                    color: Color.create("#999999")
                    fontSize: FontSize.PointValue
                    fontSizeValue: 6
                }
            }
        }
    }
}
