import bb.cascades 1.0

Container {
    signal isClicked()
    ImageButton {
        defaultImageSource: defaultImageURL
        horizontalAlignment: HorizontalAlignment.Center
        opacity: 0.8
        onClicked: {
            animateThis.play();
            isClicked();
        }
    }
    layoutProperties: StackLayoutProperties {
        spaceQuota: 1
    }
    animations: [
        TranslateTransition {
            id: animateThis
            fromY: 81
            toY: 0
            easingCurve: StockCurve.ElasticOut
            duration: 500
        }
    ]
}
