import bb.cascades 1.0

Dialog {
    property alias dialogTitle: alertDialogTitle.text
    property alias dialogContent: alertDialogContent.text
    Container {
        id: mainDialogContainer
        layout: DockLayout {
        }
        leftPadding: 30
        rightPadding: 30
        //background: Color.create("#FAFAFA")
        preferredHeight: 1280
        // Border
        Container {
            layout: DockLayout {
            }
            leftPadding: 10
            rightPadding: 10
            topPadding: 10
            bottomPadding: 10
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            background: Color.create("#474747")
            Container {
                background: Color.create("#272727")
                //opacity: 1
                layout: StackLayout {
                }
                topPadding: 20
                bottomPadding: 10
                leftPadding: 20
                rightPadding: 20
                Label {
                    id: alertDialogTitle
                    objectName: "alertDialogTitle"
                    text: "Term and Service"
                    textStyle {
                        color: Color.create("#FAFAFA")
                        fontSize: FontSize.PointValue
                        fontSizeValue: 8
                    }
                }
                Divider {
                }
                TextArea {
                    id: alertDialogContent
                    objectName: "alertDialogContent"
                    preferredHeight: 300
                    editable: false
                    text: "Term and Service"
                    textStyle {
                        color: Color.create("#FAFAFA")
                        fontSize: FontSize.PointValue
                        fontSizeValue: 6
                    }
                }
                Divider {
                }
                Container {
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Button {
                        text: "Don't Agree"
                        layoutProperties: StackLayoutProperties {
                        }
                        horizontalAlignment: HorizontalAlignment.Center

                        //preferredWidth: 200
                        onClicked: {
                            tosDialog.close();
                            _app.exitApp();
                        }
                    }
                    Button {
                        text: "Agree"
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            _app.agreeTOS();
                            tosDialog.close();
                        }
                    }
                }
            }
        }
    }
}
